Package com.pixelmed.network

# Class NetworkUtilities

java.lang.Object
com.pixelmed.network.NetworkUtilities

public class NetworkUtilities extends Object

Various static methods helpful for network activities.

## Method Summary

Modifier and Type
Method
Description
`static int`
`getRandomUnusedPortToListenOnLocally()`
`static boolean`
`isPortOnLocalHostResponding(int port)`
`static boolean`
`isPortResponding(String host, int port)`
`static boolean`
`isPortResponding(InetAddress address, int port)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isPortResponding

public static boolean isPortResponding(String host, int port)

### isPortResponding

public static boolean isPortResponding(InetAddress address, int port)

### isPortOnLocalHostResponding

public static boolean isPortOnLocalHostResponding(int port) throws UnknownHostException

Throws:
  `UnknownHostException`

### getRandomUnusedPortToListenOnLocally

public static int getRandomUnusedPortToListenOnLocally() throws UnknownHostException

Throws:
  `UnknownHostException`